{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui.enable {
  # used to set up system wide configuration, actual configuration happens in
  # home-manager
  programs.sway = {
    enable = true;
    extraPackages = [ ];
  };

  # steam (and other high quality software) still ships 32 bit binaries
  hardware.opengl.driSupport32Bit = lib.mkIf pkgs.stdenv.isx86_64 true;

  # screen sharing
  services.pipewire.enable = true;
  xdg.portal = {
    enable = true;
    gtkUsePortal = true;
    extraPortals = with pkgs; [
      xdg-desktop-portal-gtk
      xdg-desktop-portal-wlr
    ];
  };
}
